<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractPrelevementURetralResult extends Model
{
    /**  
     * Primary key type.
     * 
     * @var string
     */
    protected $keyType = 'bigInteger';
    
    /**  
     * The attributes that should be cast to native types.
     * 
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'macroscopique_aspect' => 'string',
        'macroscopique_aspect_autre' => 'string',
        'macroscopique_couleur' => 'string',
        'macroscopique_couleur_autre' => 'string',
        'microscopique_leucocytes' => 'string',
        'microscopique_hematies' => 'string',
        'microscopique_cellules' => 'string',
        'microscopique_autres' => 'string',
        'microscopique_parasites' => 'string',
        'microscopique_preciser' => 'string',
        'microscopique_levures' => 'string',
        'coloration_gram' => 'string',
        'coloration_gram_autre' => 'string',
        'examen_apres_culture_coloration_gram' => 'string',
        'examen_apres_culture_germe_identifie' => 'string',
        'antibiogramme_effectue' => 'boolean',
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
        'antibiogramme_id' => 'integer'
    ];
    
    /**  
     * The guarded property should contain an array of attributes that you do not want to be mass assignable.
     * 
     * @var array
     */
    protected $guarded = [];
    
    public function antibiogramme()
    {
        return $this->belongsTo('\App\Antibiogramme', 'antibiogramme_id', 'id');
    }
}
